Subject: parted not recognizing partitions in "non-standard" MBRs with valid partition tables

From: Marc Stenson <[email-masked]>
Date: Thu, 15 Nov 2018 00:27:02 +0200

Hello,

While parted 2.3 had no issues with whatever was in the first 446 bytes 
of the MBR and only looked at the partition table, newer versions such 
as 3.2 seem to be thrown by unusual boot code (e.g. Grub4DOS) and either 
show the entire disk as unallocated space or as one big volume/partition 
with the file system of the first volume. This is despite the partition 
table being fully compliant and happily read by fdisk and sfdisk.

This may be a "feature" rather than a bug.   Please pardon my ignorance, 
perhaps newer partition table schemes require the first 446 bits to be 
parsed.  However it could save someone many hours of frustration if this 
was noted prominently in the documentation.

In my case It was fixed with a simple:
   dd if=/usr/lib/syslinux/mbr/mbr.bin of=/dev/sdb bs=446 count=1
after taking the requisite backups and a deep breath.

Thanks and regards,
Marc